/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { SpreadsheetText } from "./SpreadsheetText";
import { markType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
var Spreadsheet_NullSpreadsheetText = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(Spreadsheet_NullSpreadsheetText, _super);
    function Spreadsheet_NullSpreadsheetText() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Spreadsheet_NullSpreadsheetText.prototype.get_b = function () {
        return 0;
    };
    Object.defineProperty(Spreadsheet_NullSpreadsheetText.prototype, "b", {
        get: function () {
            return this.get_b();
        },
        enumerable: true,
        configurable: true
    });
    Spreadsheet_NullSpreadsheetText.prototype.get_c = function () {
        return 0;
    };
    Object.defineProperty(Spreadsheet_NullSpreadsheetText.prototype, "c", {
        get: function () {
            return this.get_c();
        },
        enumerable: true,
        configurable: true
    });
    Spreadsheet_NullSpreadsheetText.$t = markType(Spreadsheet_NullSpreadsheetText, 'Spreadsheet_NullSpreadsheetText', SpreadsheetText.$);
    return Spreadsheet_NullSpreadsheetText;
}(SpreadsheetText));
export { Spreadsheet_NullSpreadsheetText };
